Package org.codehaus.janino

# Interface IWildcardType

All Superinterfaces:
  `IType`

public interface IWildcardType extends IType

## Method Summary

Modifier and Type
Method
Description
`IType`
`getLowerBound()`
`IType`
`getUpperBound()`

## Method Details

### getUpperBound

IType getUpperBound()

Returns:
  The type of the `extends` clause, or `Object.class`

### getLowerBound

@Nullable IType getLowerBound()

Returns:
  The type of the `super` clause, or `null`